#
# spec file for package python-python-jsonrpc-server
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname python-jsonrpc-server
%bcond_without python2
Name:           python-python-jsonrpc-server
Version:        0.3.4
Release:        bp155.2.12
Summary:        JSON RPC 2.0 server library
License:        MIT
URL:            https://github.com/palantir/python-jsonrpc-server
Source:         https://files.pythonhosted.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM remove_testing_warnings.patch gh#palantir/python-jsonrpc-server#34 mcepl@suse.com
# remove warnings about deprecated method logging.Logger.warn
Patch0:         remove_testing_warnings.patch
# PATCH-FIX-UPSTREAM remove_testing_warnings.patch gh#palantir/python-jsonrpc-server#37 code@bnavigator.de
Patch1:         python-jsonrpc-server-pr37.patch
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module ujson}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-ujson
%if %{with python2}
BuildRequires:  python2-future >= 0.14.0
BuildRequires:  python2-futures
%endif
%ifpython2
Requires:       python2-future >= 0.14.0
Requires:       python2-futures
%endif
%python_subpackages

%description
A Python 2.7 and 3.4+ server implementation of the JSON RPC 2.0 protocol.
This library has been pulled out of the Python Language Server project.

%prep
%autosetup -p1 -n %{modname}-%{version}

sed -i 's/ujson<=1.35;/ujson;/' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Remove pytest addopts
rm setup.cfg
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/pyls_jsonrpc
%{python_sitelib}/python_jsonrpc_server-%{version}-*.egg-info

%changelog
* Fri May  1 2020 Benjamin Greiner <code@bnavigator.de>
- fix the unit tests
  python-jsonrpc-server-pr37.patch
  gh#palantir/python-jsonrpc-server#37
* Sun Mar 15 2020 Benjamin Greiner <code@bnavigator.de>
- reactivate python2 build
* Sat Mar 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Do not pull in py2 dependencies at all since we disabled the
  python2 build
* Sat Mar 14 2020 Matej Cepl <mcepl@suse.com>
- Switch off python2 build, broken dependencies.
* Fri Mar 13 2020 Matej Cepl <mcepl@suse.com>
- Add remove_testing_warnings.patch to remove some warnings
  in the test suite run log (gh#palantir/python-jsonrpc-server#34).
- Switch off some tests which fail with Python 3.8
  (gh#palantir/python-jsonrpc-server#33)
* Fri Feb 21 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix py2/py3 dependencies
* Fri Feb 14 2020 Matej Cepl <mcepl@suse.com>
- Update to 0.3.4:
  - Require future only for Python 2
* Sun Dec  8 2019 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Remove unnecessary build dependencies
- Update to v0.3.2
* Wed Jul 10 2019 John Vandenberg <jayvdb@gmail.com>
- Rename to python-python-jsonrpc-server to
  follow openSUSE Python naming conventions
* Sat Jan 26 2019 Duncan Mac-Vicar <dmacvicar@suse.de>
- Initial package for version 0.1.2
